Current App Versions and Compatibility Requirements

Current App versions:

  • Android - 11.10
  • iOS - 11.11

App Compatibility:

  • Android requires Android 7.0 (Nougat) and up. Compatible with Android 11.
  • iOS requires iOS 12.0 or later (compatible with iPhone, iPad, and iPod touch).
Was this article helpful?
173 out of 515 found this helpful